version: '3.8'
services:
  app:
    image: uo-frontend
    build:
      context: ./
      dockerfile: Dockerfile
    environment:
      NEXT_PUBLIC_API_URI_PREFX: ${NEXT_PUBLIC_API_URI_PREFX}
      NEXT_IMAGE_HOSTNAME: ${NEXT_IMAGE_HOSTNAME}
      NEXT_PROTOCOL: ${NEXT_PROTOCOL}
    volumes:
      - .:/app/frontend
      - /app/frontend/node_modules
      - /app/frontend/.next
    ports:
      - "8086:8086"
